/* $Id: wd90c00.h,v 1.2 1998/11/19 02:23:09 marcus Exp $
******************************************************************************
	Paradise PVGA1B register definitions (for "wd90c00" and "wd90c90")
******************************************************************************

   Copyright (C) 1997 by Brian S. Julin, <bri@calyx.com>

   Permission is hereby granted, free of charge, to any person obtaining a
   copy of this software and associated documentation files (the "Software"),
   to deal in the Software without restriction, including without limitation
   the rights to use, copy, modify, merge, publish, distribute, sublicense,
   and/or sell copies of the Software, and to permit persons to whom the
   Software is furnished to do so, subject to the following conditions:

   The above copyright notice and this permission notice shall be included in
   all copies or substantial portions of the Software.

   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
   IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
   THE AUTHOR(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
   IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
   CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
******************************************************************************
*/

/* MAINTAINER	Brian S. Julin, <bri@calyx.com> */

#ifndef _wd90c00_h
#define _wd90c00_h

#include "WD/pvga1a.h"

/* CRT -- New registers */

          #define CRT_UPCRT_LOCK 0x29
                  #define CR29_WLOCK_MASK 0x07
                  #define CR29_WUNLOCK    0x05
                  #define CR29_WLOCK      0x00
                  #define CR29_RLOCK_MASK 0x88
                  #define CR29_RUNLOCK    0x80
                  #define CR29_RLOCK      0x08

          #define CRT_EGA_EMU_SW 0x2A
          #define CRT_SCRATCH1 0x2B
          #define CRT_INTERL_START 0x2C
          #define CRT_INTERL_END 0x2D
          #define CRT_MISCC1 0x2E
          #define CRT_MISCC2 0x2F
                  #define CR2F_DACLOCK 0x01
                  #define CR2F_VGA256K 0x02
                  #define CR2F_PAGE_OE 0x04
                  #define CR2F_CRTCOFF_MASK 0x18
                  #define CR2F_CRTCOFF_B16 0x08
                  #define CR2F_CRTCOFF_B17 0x10
                  #define CR2F_CRTCMAX_MASK 0x60
                  #define CR2F_CRTCMAX_256 0x00
                  #define CR2F_CRTCMAX_128 0x40
                  #define CR2F_CRTCMAX_64  0x60
                  #define CR2F_LOCKSLEEP   0x80

          #define CRT_MISCC3 0x30
                  #define CR30_NOROM_C600 0x01

#endif /* #ifdef _wd90c00_h */












